ntlm_type1(3)

NAME
ntlm_type1 -

SYNOPSIS

#include <heimntlm.h>

  Data Fields
uint32_t flags
char * domain
char * hostname
uint32_t os [2]

Detailed Description

Struct for the NTLM type1 message info, the strings is assumed to be in UTF8. When filled in by the library it should be freed with heim_ntlm_free_type1().

Examples:

test_ntlm.c.

Field Documentation

  uint32_t ntlm_type1::flags

Examples:
test_ntlm.c.

  char* ntlm_type1::domain

Examples:
test_ntlm.c.

  char* ntlm_type1::hostname

Examples:
test_ntlm.c.

  uint32_t ntlm_type1::os[2]

Examples:
test_ntlm.c.

Author

Generated automatically by Doxygen for Heimdalntlmlibrary from the source code.